org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

## Class RetryOnClassAndMethodServiceOverrideClassLevelMethodOverride

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.BaseRetryOnClassAndMethodService
  - - org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.RetryOnClassAndMethodServiceOverrideClassLevelMethodOverride

All Implemented Interfaces:
  RetryService

    @RequestScoped
     @Retry(maxRetries=5)
    public class RetryOnClassAndMethodServiceOverrideClassLevelMethodOverride
    extends BaseRetryOnClassAndMethodService

### Constructor Summary

Constructors
Constructor and Description
`RetryOnClassAndMethodServiceOverrideClassLevelMethodOverride()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `service()`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.BaseRetryOnClassAndMethodService

`delegate, getNumberOfServiceCalls`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryOnClassAndMethodServiceOverrideClassLevelMethodOverride

    public RetryOnClassAndMethodServiceOverrideClassLevelMethodOverride()

### Method Detail

#### service

    public Connection service()
                       throws IOException

Specified by:
  `service` in interface `RetryService`
Overrides:
  `service` in class `BaseRetryOnClassAndMethodService`
Throws:
  `IOException`